MyEclipse Forums
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
khoshsirat
Post subject: Offline installer error  PostPosted: May 01, 2012 - 06:44 AM



Joined: Mar 13, 2012
Posts: 11

Hi,
I have downloaded the MyEclipse 10.1 offline installer for linux
and I have CentOS 6.2 x86_64 and JDK 7 update 3
but when I run the Offline Installer, it gives me the following error message and when click the OK button, the Installer terminates.

An error has occurred. See the log file
/tmp/oneinstall_3545/MyEclipseBling-10.1.0-offline-installer-linux/installer/configuration/1335866692735.log.


and the log file contents are:

!SESSION 2012-05-01 14:34:52.434 -----------------------------------------------
eclipse.buildId=unknown
java.fullversion=GNU libgcj 4.4.6 20110731 (Red Hat 4.4.6-3)
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US
Framework arguments: /home/MyEclipseBling-10.1-offline-installer-linux.run 1138335744
Command-line arguments: -os linux -ws gtk -arch x86_64 /home/MyEclipseBling-10.1-offline-installer-linux.run 1138335744

!ENTRY org.eclipse.osgi 2 0 2012-05-01 14:34:54.707
!MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-01 14:34:54.707
!MESSAGE Bundle org.eclipse.equinox.launcher.gtk.linux.x86_1.1.2.R36x_v20101019_1345 [4] was not resolved.
!SUBENTRY 2 org.eclipse.equinox.launcher.gtk.linux.x86 2 0 2012-05-01 14:34:54.707
!MESSAGE Platform filter did not match: (& (osgi.ws=gtk) (osgi.os=linux) (osgi.arch=x86))
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-01 14:34:54.708
!MESSAGE Bundle org.eclipse.core.net.linux.x86_1.1.100.R36x_v20100825-0800 [12] was not resolved.
!SUBENTRY 2 org.eclipse.core.net.linux.x86 2 0 2012-05-01 14:34:54.709
!MESSAGE Platform filter did not match: (& (osgi.os=linux) (osgi.arch=x86))
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-01 14:34:54.709
!MESSAGE Bundle org.eclipse.swt.gtk.linux.x86_3.6.2.v3659b [76] was not resolved.
!SUBENTRY 2 org.eclipse.swt.gtk.linux.x86 2 0 2012-05-01 14:34:54.709
!MESSAGE Platform filter did not match: (& (osgi.ws=gtk) (osgi.os=linux) (osgi.arch=x86))

!ENTRY org.eclipse.osgi 4 0 2012-05-01 14:34:54.709
!MESSAGE Application error
!STACK 1
com.genuitec.pulse.installer.exception.NoTypedContextException: com.genuitec.pulse.installer.context.base.IInstallerInstanceContext
at com.genuitec.pulse.installer.context.internal.InstallerContextImpl.getContextForScope(Unknown Source)
at com.genuitec.pulse.installer.context.internal.InstallerContextImpl$CallerScopedInstallerContext.getContext(Unknown Source)
at com.genuitec.pulse.installer.application.CommonInstallerApplication.prepareContainer(Unknown Source)
at com.genuitec.pulse.installer.application.CommonInstallerApplication.start(Unknown Source)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:369)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
at java.lang.reflect.Method.invoke(libgcj.so.10)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:620)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:575)
at org.eclipse.equinox.launcher.Main.run(Main.java:1408)
at org.eclipse.equinox.launcher.Main.main(Main.java:1384)
Caused by: com.genuitec.pulse.installer.exception.TypedContextInitException: Could not read the installer instance file from the bundled installer contents.
at com.genuitec.pulse.installer.context.base.internal.InstallerInstanceContextImpl.init(Unknown Source)
at com.genuitec.pulse.installer.context.internal.InstallerContextImpl.getContextForScope(Unknown Source)
...13 more


I installed CentOS as minimum desktop, so I think the problem is about the lack of some packages.
Please help me.
 
 View user's profile Send private message  
Reply with quote Back to top
support-swapna
Post subject:   PostPosted: May 01, 2012 - 09:39 AM



Joined: Nov 11, 2010
Posts: 2646

khoshsirat,

Sorry that you are seeing this issue. Looks like either the installer file is incomplete / corrupted.

Could you verify the file size and md5sum of the installer matches with that mentioned in the download site?

Alternatively, you can install ME using pulse. Please refer this FAQ - http://myeclipseide.com/PNphpBB2-viewtopic-t-25976.html

Let us know how it works for you.

_________________
Swapna
MyEclipse Support
 
 View user's profile Send private message  
Reply with quote Back to top
khoshsirat
Post subject:   PostPosted: May 02, 2012 - 05:16 AM



Joined: Mar 13, 2012
Posts: 11

I checked the MD5sum and it was OK
I don't have internet access in my linux system, so I can't use pulse
do you have any more suggestions?
 
 View user's profile Send private message  
Reply with quote Back to top
support-swapna
Post subject:   PostPosted: May 02, 2012 - 07:18 AM



Joined: Nov 11, 2010
Posts: 2646

khoshsirat,

Can you please check if any these suggestions works for you?

1. Uninstall all previous installations or just rename the directory pointed to by .pulse2.locator file and try the install again. Here is an FAQ on the default locations of MyEclipse files :
http://www.myeclipseide.com/PNphpBB2-printview-t-27743-start-0.html

2. Install a standard Java from Sun/Oracle and point the installer to use it. You can make changes to the -vm argument in the myeclipse.ini file to point to the standard java.exe. The fact that you are using gnu java might cause some incompatibilities.

3. If the above 2 suggestions do not work for you, Can you please confirm if you have a 64 bit or 32 bit system to help us investigate further.

Let us know how it works for you.

_________________
Swapna
MyEclipse Support
 
 View user's profile Send private message  
Reply with quote Back to top
khoshsirat
Post subject:   PostPosted: May 07, 2012 - 11:43 AM



Joined: Mar 13, 2012
Posts: 11

hi,
I installed the CentOS again but this time as desktop profile.
the myEclipse offline installer is working fine (as I was suggesting, the problem was the lack of some packages)
I installed MyEclipse but now I have many problems
some of those are here:
1- when I go to Window -> Preferences -> MyEclipse, as I click on the Servers item, I get this error message:

Unable to create the selected preference page.
An error occurred while automatically activating bundle com.genuitec.eclipse.core.common (25).

in fact when I click on most of other items, I get similar messages like these:

Unable to create the selected preference page.
An error occurred while automatically activating bundle com.genuitec.eclipse.j2eedt.core (95).

Unable to create the selected preference page.
com/genuitec/eclipse/core/ui/preference/JDKFieldEditor

I even can't open the Configuration Center, I get this error message:

Failed to execute item com.genuitec.eclipse.dashboard.mcc

and here is my session data:

eclipse.buildId=unknown
java.version=1.7.0_03
java.vendor=Oracle Corporation
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US
Command-line arguments: -os linux -ws gtk -arch x86_64

now I'm in a worse situation.

help me, please.
 
 View user's profile Send private message  
Reply with quote Back to top
support-swapna
Post subject:   PostPosted: May 07, 2012 - 01:02 PM



Joined: Nov 11, 2010
Posts: 2646

khoshsirat,

Sorry that you are seeing issues. I have escalated it to a dev team member. They will get back to you.

_________________
Swapna
MyEclipse Support
 
 View user's profile Send private message  
Reply with quote Back to top
khoshsirat
Post subject:   PostPosted: May 07, 2012 - 03:36 PM



Joined: Mar 13, 2012
Posts: 11

I think it's better to test it yourself.
here is the environment that I'm using:

CentOS 6.2 x86_64 final release
MyEclipse 10.1 Bling Edition
Firefox 12.0 (with XULRunner)
when I was searching the web, I encountered to this matter that eclipse has conflict with XULRunner and some problems with GTK.
I'm using Firefox, which needs XULRunner and GTK to run correctly.
so I think the problem may be about this

I hope this will help you!
 
 View user's profile Send private message  
Reply with quote Back to top
Support-Brian
Post subject:   PostPosted: May 08, 2012 - 12:47 AM
Moderator
Moderator


Joined: Aug 21, 2004
Posts: 2659

khoshsirat,

From first glance, you still appear to be having an installation problem, when you said you installed CentOS again - does this mean you completely cleaned your system and MyEclipse Bling was installed into a brand new location (which had no traces of MyEclipse before?)

One problem with XULRunner is documented here:
http://www.myeclipseide.com/index.php?name=PNphpBB2&file=viewtopic&p=130300
https://bugs.eclipse.org/bugs/show_bug.cgi?id=373965
However, this would typically result in a JVM crash and not cause issues like you mention where the plugins are refusing to start. Can you confirm that the same errors occur repeatedly on multiple workspace starts? Please clear your error log before restarting to confirm that the same errors are repeatedly logged. You could try following the steps outlined in the above posts to see if they fix your issue.

In the meanwhile, we will also try to test in this environment.

_________________
Brian
MyEclipse Support
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
khoshsirat
Post subject:   PostPosted: May 08, 2012 - 05:21 AM



Joined: Mar 13, 2012
Posts: 11

yes, I've formatted the entire linux partitions(I have windows too)

I found something new, when I change the workspace directory, I get this error message and MyEclipse crashes:

SECURITY ALERT: INTEGRITY CHECK ERROR

This product did not pass the MyEclipse integrity check. This security check is
a prerequisite for launch of MyEclipse. please reinstall MyEclipse and try
again.

Specific Error: The signature chain used to sign MyEclipse is either not valid or
does not belong to Genuitec. MyEclipse features will not start with an unsigned
installation. Reason: The file "com/genuitec/eclipse/core/publicKey.bytes" in
the jar "/apps/myEclipse10/Common/plugins/com.genuitec.eclipse.core_10.1.0.me201203170059.jar" has been tampered!

For additional assistance contact support@genuitec.com


and when I click the Quit button, this error message appears:

JVM terminated. Exit code=255
/apps/jdk1.7.0_03/bin/java
-Xmx1024m
-XX:MaxPermSize=512m
-XX:ReservedCodeCacheSize=64m
-Dosgi.nls.warnings=ignore
-jar /apps/myEclipse10/MyEclipse Bling Edition 10//../Common/plugins/org.eclipse.equinox.launcher_1.2.0.v20110502.jar
-os linux
-ws gtk
-arch x86_64
-showsplash
-launcher /apps/myEclipse10/MyEclipse Bling Edition 10/myeclipse-blue
-name Myeclipse-blue
--launcher.library /apps/myEclipse10/MyEclipse Bling Edition 10//../Common/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.100.v20110505/eclipse_1407.so
-startup /apps/myEclipse10/MyEclipse Bling Edition 10//../Common/plugins/org.eclipse.equinox.launcher_1.2.0.v20110502.jar
--launcher.overrideVmargs
-exitdata 108009
-install /apps/myEclipse10/MyEclipse Bling Edition 10
-configuration /apps/myEclipse10/MyEclipse Bling Edition 10/configuration
-vm /apps/jdk1.7.0_03/bin/java
-vmargs
-Xmx1024m
-XX:MaxPermSize=512m
-XX:ReservedCodeCacheSize=64m
-Dosgi.nls.warnings=ignore
-jar /apps/myEclipse10/MyEclipse Bling Edition 10//../Common/plugins/org.eclipse.equinox.launcher_1.2.0.v20110502.jar


and when I use the current workspace directory it starts well!
 
 View user's profile Send private message  
Reply with quote Back to top
support-tony
Post subject:   PostPosted: May 08, 2012 - 08:00 AM



Joined: Mar 09, 2011
Posts: 949

khoshsirat,

I installed CentOS 6.2, 64 bit desktop, and Firefox 12. Installation of Bling 10 went fine and I couldn't see any of the problems that you describe.

Immediately after installing CentOS I ran yum update. I'm not sure if you did this - if not, you might want to try that. However, it still seems as though you might have a bad installer. Can you download a fresh copy from our site and try again, after removing the current install?

_________________
Tony
MyEclipse Support
 
 View user's profile Send private message  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 6 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by PNphpBB2 © 2003-2004 The PNphpBB Group
Credits